import React, { useState } from 'react';
import data from './Assos_sorted.json';
import data2 from './Clubs_sorted.json';
import './menu.css';


const DropdownMenu = ({ onChange }) => {
  const [isOpen, setIsOpen] = useState(false);

  const toggleMenu = () => {
    setIsOpen(!isOpen);
  };
  const [selectedItems, setSelectedItems] = useState([]);


  const handleItemClick = (item) => {
    setSelectedItems((prevSelectedItems) => {
      const newSelectedItems = prevSelectedItems.includes(item)
      ? prevSelectedItems.filter(i => i !== item)
      : [...prevSelectedItems, item];
      onChange(newSelectedItems);
      return newSelectedItems;
    });
  };

  
  return (
    <div className="dropdown">
      <button onClick={toggleMenu} className="dropdown-button">
        Choisissez votre association ...
      </button>
      {isOpen && (
        <ul className="dropdown-menu">
            {Object.keys(data).map(associationName =>(
                <li key={associationName}
                onClick={() => handleItemClick(associationName)}
                style={{cursor: 'pointer', margin:'5px 0'}}> 
                {associationName}{selectedItems.includes(associationName)? '✓':''}
                </li>

            ))}
          <li id='clubs'>
            Clubs
          </li>
          {Object.keys(data2).map(clubName =>(
                <li key={clubName} 
                onClick={() => handleItemClick(clubName)}
                style={{cursor: 'pointer', margin:'5px 0'}}> 
                {clubName}{selectedItems.includes(clubName)? '✓':''}
                </li>

            ))}
        </ul>
      )}
    </div>
  );
};

export default DropdownMenu;
