import React from "react";
import { LineChart, Line, XAxis, YAxis, CartesianGrid, Tooltip, Legend, ResponsiveContainer } from 'recharts';
import data from "./ReChart_Data.json";
import './graph.css';

const listCouleurs = ["#8884d8","#82ca9d","#ffc658"];




const Chart = ({ associations }) => {
  


    return (
      <div className="graph">
        <LineChart data = {data} width = {500} height={200}>
        <CartesianGrid strokeDasharray="3 3" />
          <XAxis dataKey="year" />
          <YAxis />
          <Tooltip />
          <Legend />
          {associations.map((valeurkey) =>(
            <Line
            key={valeurkey}
            type="monotone"
            dataKey={valeurkey}
            stroke="#8884d8"
            />

          ))}
        </LineChart>
      </div>

    )
}

export default Chart


